Runtime

## org.eclipse.gmf.runtime.gef.ui.palette.customize
Class PaletteCustomizerEx

    java.lang.Object
      org.eclipse.gef.ui.palette.PaletteCustomizer
          org.eclipse.gmf.runtime.gef.ui.palette.customize.PaletteCustomizerEx

    public class PaletteCustomizerEx

extends PaletteCustomizer

Extends GEF's `PaletteCustomizer` to support:

- Saving the customizations to the a preference store.
- Rolling back the changes made to the palette model if the cancel button is pressed. See bugzilla#211065.

Since:
  2.1

Constructor Summary
`PaletteCustomizerEx(IPreferenceStore preferenceStore)` Creates a new instance.

Method Summary
`void` `applyCustomizationsToPalette(PaletteRoot paletteRoot)` Retrieves the palette customizations from the workspace preferences and applies these customizations to the palette root.
`protected IPaletteState` `createPaletteState(PaletteEntry entry)` Creation factory method for the `IPaletteState`.
`EntryPage` `getPropertiesPage(PaletteEntry entry)`
`void` `revertToSaved()`
`void` `save()`

Methods inherited from class org.eclipse.gef.ui.palette.PaletteCustomizer
`canAdd, canDelete, canMoveDown, canMoveUp, getNewEntryFactories, performDelete, performMoveDown, performMoveUp`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PaletteCustomizerEx

    public PaletteCustomizerEx(IPreferenceStore preferenceStore)

  Creates a new instance.

  Parameters:
    `preferenceStore` - the preference store in which the palette customizations are to be saved and retrieved from

Method Detail

### getPropertiesPage

    public EntryPage getPropertiesPage(PaletteEntry entry)

  Overrides:
    `getPropertiesPage` in class `PaletteCustomizer`

### createPaletteState

    protected IPaletteState createPaletteState(PaletteEntry entry)

  Creation factory method for the `IPaletteState`. Clients may override to provide custom `IPaletteStates`.

  Parameters:
    `entry` - the palette entry
  Returns:
    a new `IPaletteState` instance.

### revertToSaved

    public void revertToSaved()

  Specified by:
    `revertToSaved` in class `PaletteCustomizer`

### save

    public void save()

  Specified by:
    `save` in class `PaletteCustomizer`

### applyCustomizationsToPalette

    public void applyCustomizationsToPalette(PaletteRoot paletteRoot)

  Retrieves the palette customizations from the workspace preferences and applies these customizations to the palette root.

  Parameters:
    `paletteRoot` - the palette root on which to apply the customizations

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.